ext {
    deps = [
            //android和kt依赖资源
            android: [
                    "appcompat"             : "androidx.appcompat:appcompat:1.3.1",
                    "design"                : "com.google.android.material:material:1.4.0",
                    "constraint_layout"     : "androidx.constraintlayout:constraintlayout:2.0.3",
                    "recyclerview"          : "androidx.recyclerview:recyclerview:1.2.0",
                    'fragment_ktx'          : 'androidx.fragment:fragment-ktx:1.3.6',
                    'multidex'              : 'androidx.multidex:multidex:2.0.1',

                    "kt_ktx"                : 'androidx.core:core-ktx:1.6.0',
                    "ktx_coroutines_core"   : 'org.jetbrains.kotlinx:kotlinx-coroutines-core:1.5.2',
                    "ktx_coroutines_android": 'org.jetbrains.kotlinx:kotlinx-coroutines-android:1.5.2',

                    "lifecycle"             : 'androidx.lifecycle:lifecycle-runtime-ktx:2.3.1',
                    "lifecycle_ktx"         : 'androidx.lifecycle:lifecycle-livedata-ktx:2.3.1',

                    "junit"                 : 'junit:junit:4.12',
                    "test_junit"            : 'androidx.test.ext:junit:1.1.1',
                    "test_espresso"         : 'androidx.test.espresso:espresso-core:3.2.0',

            ],

            //第三方
            support: [
                    "glide"             : 'com.github.bumptech.glide:glide:4.12.0',
                    "glide_annotation"  : 'com.github.bumptech.glide:annotations:4.12.0',
                    "glide_integration" : 'com.github.bumptech.glide:okhttp3-integration:4.12.0',
                    "glide_compiler"    : 'com.github.bumptech.glide:compiler:4.12.0',

                    "gif_drawable"      : 'pl.droidsonroids.gif:android-gif-drawable:1.2.10',

                    "hilt"              : 'com.google.dagger:hilt-android:2.38.1',
                    "hilt_kapt"         : 'com.google.dagger:hilt-android-compiler:2.38.1',

                    "arouter"           : 'com.alibaba:arouter-api:1.5.2',
                    "arouter_kapt"      : 'com.alibaba:arouter-compiler:1.5.2',

                    "retrofit2"         : 'com.squareup.retrofit2:retrofit:2.9.0',
                    "retrofit_gson"     : 'com.squareup.retrofit2:converter-gson:2.9.0',
                    'okio'              : 'com.squareup.okio:okio:3.0.0',
                    'gson_factory'      : 'com.github.getActivity:GsonFactory:5.2',  //Gson转换容错处理

                    "data_store"        : 'androidx.datastore:datastore-preferences:1.0.0',
                    "data_store_core"   : 'androidx.datastore:datastore-preferences-core:1.0.0',
                    "permission"        : 'com.github.getActivity:XXPermissions:13.2',
                    "live_bus"          : 'io.github.jeremyliao:live-event-bus-x:1.8.0',
                    "brvah"             : 'com.github.CymChad:BaseRecyclerViewAdapterHelper:3.0.6',
                    "smart_refresh_core": 'com.scwang.smart:refresh-layout-kernel:2.0.1',
                    "smart_refresh_head": 'com.scwang.smart:refresh-header-classics:2.0.1',
                    "picture_selector"  : 'io.github.lucksiege:pictureselector:v2.7.3-rc05',    //图片选择
                    "easy_adapter"      : 'com.lxj:easyadapter:1.2.3',       //xpopup为本地依赖，xpopup的内置依赖库
                    "toast_util"        : 'com.github.getActivity:ToastUtils:10.3',             //气泡库

                    "picker_view"       : 'com.contrarywind:Android-PickerView:4.1.8',           //PickerView
                    "banner"            : 'com.youth.banner:banner:2.1.0',                       //轮播
                    "sticky_decoration" : 'com.gavin.com.library:stickyDecoration:1.5.3',        //RV悬停
                    "round_layout"      : 'com.github.minminaya:GenaralRoundLayout:1.0.0',       //圆角控件

                    //CameraX  Location  Pay  IM  JPush  ScanCode  SQLite ...something or other
//                    "litepal"           : 'org.litepal.guolindev:core:3.2.3',
            ]

    ]

    versions = [
            'minSdk'    : 21,
            'targetSdk' : 31,
            'compileSdk': 31,
    ]

}
